Message info
 
To:submit@bugs.debian.org From:Jérémy Compostella Subject:Bug#660526: <stdio.h> is incomplete for POSIX 2008 Date:Sun, 19 Feb 2012 19:09:49 +0100
 

Package: libc6-dev
Version: 2.11.3-3

I apology if this bug has already been reported but I am unable to find
it through the web bug report interface.

POSIX 2008 requires that <stdio.h> expose ssize_t, va_list, and getline
(among others) if _POSIX_C_SOURCE is 200809L or greater. However, the
2.11 glibc does not conform to this (see
http://sourceware.org/bugzilla/show_bug.cgi?id=11125).

I'm currently working on some GNU coreutils and since I'm working with
the Debian squeeze I got this issue. See thread
http://lists.gnu.org/archive/html/coreutils/2012-02/msg00128.html

As I said in the above thread, this issue has been fixed in GNU libc
cd2f000c074b07931bd78ab5ff5fa3c0f7db628a commit. I wonder if you could
backport this bug fix ?

BTW, I take this mail to really thank you for this great distribution.

Cheers,

Jérémy



--
To UNSUBSCRIBE, email to debian-bugs-dist-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org